import { MetaTargetType } from './MetaTargetType';

export interface MetaTargetHostType extends MetaTargetType {
}

export enum MetaTargetHostTypeEnum {
  UNKNOWN = 'UNKNOWN',
}

export const toMetaTargetHostTypeEnum = (v: MetaTargetHostType): MetaTargetHostTypeEnum => {
  return MetaTargetHostTypeEnum[v.key];
};

export const toMetaTargetHostType = (v: MetaTargetHostTypeEnum): MetaTargetHostType => {
  return {
    key: v,
  };
};
